Dxr3-plugin

From VDR Wiki
Revision as of 12:59, 25 November 2013 by Wirbel (Talk | contribs)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

Description

With the DXR3 plugin one can use DXR3/Hollywood+ cards as output devices for VDR. The bargain of a costly FullFeatured DVB card can be avoided.

Hardware requirements

  • DXR3/Hollywood+

Software requirements

  • em8300 driver
  • FFMPEG
  • Linux kernel sources

Installation

To install FFMPEG

cd $SOURCEDIR
tar -xvzf ffmpeg-<VERSION>.tar.gz
cd ffmpeg-<VERSION>
./configure --prefix=/usr/local \
            --enable-shared
make
make install
ldconfig

Now the kernel sources has to be installed for the em8300 driver which is installed after it. If a normal release is used

cd $SOURCEDIR
tar xvzf em8300-<VERSION>.tar.gz
cd em8300-<VERSION>
./configure --prefix=/usr/local
make
make install
cd modules
make
make install
make devices

if the CVS version (recommended) is used

cd $SOURCEDIR
cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/dxr3 login
cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/dxr3 co em8300
cd em8300/modules
make
make install

cd ../em8300setup
gcc em8300setup.c -o em8300setup -I../include
cp em8300setup /usr/local/bin

Patches

Before the plugin is installed after plugin installation, the plugins Makefile has to be adapted

- DVBDIR = ../../../../DVB
+ DVBDIR = ../../../DVB

- FFMDIR = ../../../../ffmpeg
+ FFMDIR = /usr/local/include/ffmpeg

Problems

  • There are incompatibilities in combination with ac3overdvb-patch and a channels.conf with DD-Audio-Pids
  • The em8300 driver release cannot be compiled under SuSE 9.1, the CVS version has no problem.
  • SF.net Git master version of plugin is abandoned, use 0.2-branch instead.
  • The OSD is rather limited in functionality compared to a DVB card with onboard MPEG2 decoder. This makes it impossible to use plugins such as osdimage and osdpip. There have been lots of improvements to this in the 0.2 series releases of the plugin, though.
  • Some people reported unstability and flicker OSD problem with this plugin. Using skinelchi-plugin instead the default one usually helps.
  • thread for osdpip-0.0.10 an dxr3 card .
  • Patch for osdpip-0.0.10 an vdr-dxr3 card .

Git

See cloning instructions at http://sourceforge.net/projects/dxr3plugin/develop

It is recommended to use the 0.2-branch sources, master is an abandoned development branch in the SourceForge.net Git repository.

To switch to 0.2-branch after cloning per the instructions above:

git checkout -b 0.2-branch --track origin/0.2-branch

If you feel adventurous, there's another development version of the plugin at http://projects.vdr-developer.org/projects/plg-dxr3

Links

[1] http://sourceforge.net/projects/dxr3plugin Plugin homepage
[2] http://dxr3.sourceforge.net Linux DXR3 and Hollywood+ driver projekt homepage
[3] http://ffmpeg.sourceforge.net FFMPEG homepage